<template>
  <div class="skewt-indices-data-table d-flex flex-grow-1 flex-column">
    <h3>Indices</h3>
    <table class="table">
      <tbody>
        <tr>
          <th scope="row">CAPE</th>
          <td>{{ cape | nan }}</td>
        </tr>
        <tr>
          <th scope="row">CIN</th>
          <td>{{ cin | nan }}</td>
        </tr>
        <tr>
          <th scope="row">Total Totals</th>
          <td>{{ totalx | nan }}</td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
import Units from '@/core/units'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'

export default {
  name: 'skewtindicesdatatable',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    indicesData: {
      type: Object,
      default: () => { return {} }
    },
  },

  filters: {
    nan(value) {
      return isNaN(value) ? '-' : value
    }
  },

  computed: {
    cape: {
      get() {
        return Units.formatNum(this.indicesData.cape, 1)
      }
    },

    cin: {
      get() {
        return Units.formatNum(this.indicesData.cin, 1)
      }
    },

    totalx: {
      get() {
        return Units.formatNum(this.indicesData.totalx, 1)
      }
    },
  },
}
</script>

<style>
.skewt-indices-data-table td {
  padding-left: 1rem;
  text-align: right
}
</style>
